Skip to main content
POST
/
api
/
v1
/
core
/
participants
/
Register participant
curl --request POST \
  --url https://spi.sandbox.lerian.net/api/v1/core/participants/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ispb": "<string>",
  "name": "<string>",
  "type": "<string>",
  "cnpj": "<string>",
  "sponsorISPB": "<string>"
}
'
import requests

url = "https://spi.sandbox.lerian.net/api/v1/core/participants/"

payload = {
"ispb": "<string>",
"name": "<string>",
"type": "<string>",
"cnpj": "<string>",
"sponsorISPB": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ispb: '<string>',
name: '<string>',
type: '<string>',
cnpj: '<string>',
sponsorISPB: '<string>'
})
};

fetch('https://spi.sandbox.lerian.net/api/v1/core/participants/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "<string>",
  "id": "<string>",
  "ispb": "<string>",
  "name": "<string>",
  "status": "<string>",
  "type": "<string>",
  "updatedAt": "<string>",
  "config": {
    "quotaDailyLimit": 123,
    "quotaTransactionLimit": 123,
    "routingPolicy": "<string>"
  },
  "sponsorISPB": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Headers

Idempotency-Key
string

Idempotency key, max 255 characters

Body

application/json
ispb
string
required

ISPB of the participant, exactly 8 numeric digits.

Example:

"12345678"

name
string
required

Legal name of the participant institution.

Example:

"Banco Exemplo S.A."

type
string
required

Connection type: DIRECT (connects directly to BACEN) or INDIRECT (routes through a sponsor).

Example:

"DIRECT"

cnpj
string

14-char CNPJ (alphanumeric per PICnpj [0-9A-Z]{12}[0-9]{2}) of the indirect participant; required for INDIRECT registration (rides the reda.014 MktSpcfcAttr CNPJIDRT). Ignored for DIRECT.

Required string length: 14
Pattern: ^[0-9A-Z]{12}[0-9]{2}$
Example:

"12345678000199"

config
object

Quota and routing configuration; supplied only for indirect participants.

sponsorISPB
string

ISPB of the sponsoring participant (8 numeric digits); required for INDIRECT, must be empty for DIRECT.

Example:

""

Response

Created

createdAt
string
required

UTC timestamp when the participant was created, RFC 3339 format.

Example:

"2025-03-07T14:30:00Z"

id
string
required

Server-assigned UUID of the participant.

Example:

"550e8400-e29b-41d4-a716-446655440000"

ispb
string
required

ISPB of the participant, exactly 8 numeric digits.

Example:

"12345678"

name
string
required

Legal name of the participant institution.

Example:

"Banco Exemplo S.A."

status
string
required

Lifecycle state of the participant: ACTIVE, SUSPENDED, OFFBOARDED, PENDING (indirect reda.014 in flight), REGISTRATION_REJECTED (reda.016 REJT), or OFFBOARD_PENDING (reda.031 in flight).

Example:

"ACTIVE"

type
string
required

Connection type: DIRECT (connects directly to BACEN) or INDIRECT (routes through a sponsor).

Example:

"DIRECT"

updatedAt
string
required

UTC timestamp of the last update to the participant, RFC 3339 format.

Example:

"2025-03-07T14:30:00Z"

config
object

Quota and routing configuration; present only for indirect participants.

sponsorISPB
string

ISPB of the sponsoring participant (8 numeric digits); present only for INDIRECT participants.

Example:

""